
******************************************************************;
* Module: XLBackgroundColor.sas                                  *;
* Type: SAS macro                                                *;
* Function: Color the background of worksheet cells              *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLBackgroundColor(Color=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[patterns(1,,&Color,true)]%'));
run;

* the first argument of patterns() above with value 1
  forces solid area fill with the background color *;

%mend  XLBackgroundColor;