
******************************************************************;
* Module: XLBorderAroundGroupOfCells.sas                         *;
* Type: SAS macro                                                *;
* Function: Draw a rectangular border around Excel cells         *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLBorderAroundGroupOfCells(Type=Thin);

* The documentation suggests that a code of 0
  for the border function
  will remove the border.
  It does not work.
  The only way to remove the border is with Undo. *;
* A few, but not all, of the codes below were tested.
  Ones that I would never use I did not test. *;

%let Type = %upcase(&Type);
%if &Type eq THIN
%then %let BorderNumericCode = 1;
%else
%if &Type eq MEDIUM
%then %let BorderNumericCode = 2;
%else
%if &Type eq THICK
%then %let BorderNumericCode = 5;
%else
%if &Type eq HAIR
%then %let BorderNumericCode = 7;
%else
%if &Type eq DOUBLE
%then %let BorderNumericCode = 6;
%else
%if &Type eq DOTTED
%then %let BorderNumericCode = 4;
%else
%if &Type eq DASHED
%then %let BorderNumericCode = 3;

data _null_;
file &DDEfileref;
put %unquote(%str(%'[border(&BorderNumericCode)]%')); 
run; 

%mend  XLBorderAroundGroupOfCells;