
******************************************************************;
* Module: XLCopyCells.sas                                        *;
* Type: SAS macro                                                *;
* Function: Copy a group of cells, or a row, or a column.        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLCopyCells(FromCellRectangle=,ToCellRectangle=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[copy("&FromCellRectangle","&ToCellRectangle")]%'));
run;

%mend  XLCopyCells;