
******************************************************************;
* Module: XLDeleteColumn.sas                                     *;
* Type: SAS macro                                                *;
* Function: Delete Column in Excel worksheet                     *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLDeleteColumn(Column=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("C&Column")]%'));
put '[edit.delete(4)]';
run; 

%mend  XLDeleteColumn;