
******************************************************************;
* Module: XLDeleteWorkSheet.sas                                  *;
* Type: SAS macro                                                *;
* Function: Delete the specified worksheet,                      *;
*           or, if none is specified,                            *;
*           delete the currently selected worksheet              *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLDeleteWorkSheet(WorkSheet=);

data _null_;
file &DDEfileref;
put '[error(false)]'; * suppress Excel prompts
                        about your intention *;
put %unquote(%str(%'[workbook.delete("&WorkSheet")]%'));
run;

%mend  XLDeleteWorkSheet;