
******************************************************************;
* Module: XLFileNameForOneColumn.sas                             *;
* Type: SAS macro                                                *;
* Function: DDE FileName statement for one column in a worksheet *;
*           in the currently open workbook                       *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFileNameForOneColumn(
                 WorkSheet=,
                 Column=, 
                 StartRow=1,
                 EndRow=65536);

filename Column DDE
  "EXCEL|&WorkSheet.!R&StartRow.C&Column.:R&EndRow.C&Column." notab;
 
%mend  XLFileNameForOneColumn;