
******************************************************************;
* Module: XLFindErrorMessages.sas                                *;
* Type: SAS macro                                                *;
* Function: Find and Select every cell in the WorkSheet          *;
*           that contains an ERROR message                       *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFindErrorMessages;

data _null_;
file &DDEfileref;
put '[select.special(3,16)]';
run;

%mend  XLFindErrorMessages;