
******************************************************************;
* Module: XLInsertColumn.sas                                     *;
* Type: SAS macro                                                *;
* Function: Insert Column to left of Specified Col in worksheet  *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLInsertColumn(ToLeftOfThisColumn=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("C&ToLeftOfThisColumn")]%'));
put '[insert(4)]'; 
run;

%mend  XLInsertColumn;