
******************************************************************;
* Module: XLMoveCells.sas                                        *;
* Type: SAS macro                                                *;
* Function: Move a group of cells, or a row, or a column.        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLMoveCells(FromCellRectangle=,ToCellRectangle=);

* The CUT function does a Cut and a Paste. *;

data _null_;
file &DDEfileref;
put %unquote(%str(%'[cut("&FromCellRectangle","&ToCellRectangle")]%'));
run;

%mend  XLMoveCells;