
******************************************************************;
* Module: XLRunMacro.sas                                         *;
* Type: SAS macro                                                *;
* Function: For the currently active WorkSheet,                  *;
*           run an Excel macro from a specified open WorkBook.   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLRunMacro(WorkBook=,XLMacro=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[run("&WorkBook.!&XLMacro",FALSE)]%'));
run;

%mend XLRunMacro;