
******************************************************************;
* Module: XLSaveAs.sas                                           *;
* Type: SAS macro                                                *;
* Function: Save As Excel Workbook (with a name possibly new)    *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLSaveAs(WorkBook=);

data _null_;
file &DDEfileref;
put '[error(false)]'; * suppress Excel prompts
                        about your intention *;
put %unquote(%str(%'[save.as("&WorkBook")]%'));
x=sleep(1); * wait for file to be saved *;
run;

%mend XLSaveAs;