
******************************************************************;
* Module: XLActivateWorkSheet.sas                                *;
* Type: SAS macro                                                *;
* Function: Activate WorkSheet in the currently active workbook  *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLActivateWorkSheet(WorkSheet=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[workbook.activate("&WorkSheet")]%'));
run;

%mend  XLActivateWorkSheet;