
******************************************************************;
* Module: XLColorPaletteCustomize.sas                            *;
* Type: SAS macro                                                *;
* Function: Customize the color palette of the active workbook   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLColorPaletteCustomize(XLColor1to56=2,
                     Red0to255=255,
                     Green0to255=255,
                     Blue0to255=255);

data _null_;
file &DDEfileref;
put %unquote(
%str(%'[edit.color(&XLColor1to56,&Red0to255,&Green0to255,&Blue0to255)]%'));
run;

%mend  XLColorPaletteCustomize;