
******************************************************************;
* Module: XLColorsResetToDefaults.sas                            *;
* Type: SAS macro                                                *;
* Function: Reset the color palette of the active workbook       *;
*                 to the Excel defaults                          *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLColorsResetToDefaults;

data _null_;
file &DDEfileref;
put '[color.palette("")]';
run;

%mend  XLColorsResetToDefaults;