
******************************************************************;
* Module: XLDeleteRow.sas                                        *;
* Type: SAS macro                                                *;
* Function: Delete Row in Excel worksheet                        *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLDeleteRow(Row=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("R&Row")]%'));
put '[edit.delete(3)]'; 
run;

%mend  XLDeleteRow;