
******************************************************************;
* Module: XLExit.sas                                             *;
* Type: SAS macro                                                *;
* Function: Exit Excel (does not require a prior SAVE)           *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLExit;

data _null_;
file &DDEfileref;
put '[error(false)]'; * suppress any possible Excel prompts,
                        and just get out *;
put '[quit()]';
run;

%mend  XLExit;