
******************************************************************;
* Module: XLFileNameForOneCell.sas                               *;
* Type: SAS macro                                                *;
* Function: DDE FileName statement for one cell in a worksheet   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFileNameForOneCell(
                 WorkSheet=,
                 Row=,
                 Column=);

filename Cell DDE
  "EXCEL|&WorkSheet.!R&Row.C&Column" notab;
 
%mend  XLFileNameForOneCell;