
******************************************************************;
* Module: XLFileNameForOneRow.sas                                *;
* Type: SAS macro                                                *;
* Function: DDE FileName statement for one row in a worksheet    *;
*           in the currently open workbook                       *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFileNameForOneRow(
                 WorkSheet=,
                 Row=, 
                 StartColumn=1,
                 EndColumn=256);

filename Row DDE
  "EXCEL|&WorkSheet.!R&Row.C&StartColumn.:R&Row.C&EndColumn.";
 
%mend  XLFileNameForOneRow;