
******************************************************************;
* Module: XLFormatNumericValue.sas                               *;
* Type: SAS macro                                                *;
* Function: Specify the format of a numeric value in the cells   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLFormatNumericValue(Format=%str(###,##0.00));

data _null_;
file &DDEfileref;
put %unquote(%str(%'[Format.Number("&Format")]%'));
run;

%mend  XLFormatNumericValue;