
******************************************************************;
* Module: XLGetLastCell.sas                                      *;
* Type: SAS macro                                                *;
* Function: Determine row & column for last cell in a worksheet  *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLGetLastCell(WorkSheet=,
                     MacVarForLastRowNumber=,
                     MacVarForLastColumnNumber=);
					 
%XLGetLastRow(WorkSheet=&WorkSheet,
              MacVarForLastRowNumber=
              &MacVarForLastRowNumber);

%XLGetColumnHeaders(WorkSheet=&WorkSheet,
                    MacVarNameForLastColumnNumber=
                    &MacVarForLastColumnNumber,
                    out=_null_);
 
%mend  XLGetLastCell;