
******************************************************************;
* Module: XLGetLastColumn.sas                                    *;
* Type: SAS macro                                                *;
* Function: Determine last column number for a worksheet         *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLGetLastColumn(WorkSheet=,
                       MacVarForLastColumnNumber=);

%XLGetColumnHeaders(WorkSheet=&WorkSheet,
                    MacVarNameForLastColumnNumber=
                    &MacVarForLastColumnNumber,
                    out=_null_);
 
%mend  XLGetLastColumn;