
******************************************************************;
* Module: XLHideTheCellDataPrefix.sas                            *;
* Type: SAS macro                                                *;
* Function: Hide the prefix of Excel cell data (make it white)   *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLHideTheCellDataPrefix(FontColorNumber=2,PrefixLength=);

data _null_;
file &DDEfileref;
put %unquote(%str
(%'[font.properties(,,,,,,,,,&FontColorNumber,,,1,&PrefixLength)]%'));
run;

%mend  XLHideTheCellDataPrefix;