
******************************************************************;
* Module: XLInsertRow.sas                                        *;
* Type: SAS macro                                                *;
* Function: Insert Row above Specified Row in worksheet          *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLInsertRow(AboveThisRow=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[select("R&AboveThisRow")]%'));
put '[insert(3)]'; 
run;

%mend  XLInsertRow;