
******************************************************************;
* Module: XLInsertWorkSheet.sas                                  *;
* Type: SAS macro                                                *;
* Function: Insert a blank worksheet                             *;
*           to the left of the currently selected worksheet      *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLInsertWorkSheet;

data _null_;
file &DDEfileref;
put %unquote(%str(%'[workbook.insert(1)]%'));
run;

%mend  XLInsertWorkSheet;