
******************************************************************;
* Module: XLOpen.sas                                             *;
* Type: SAS macro                                                *;
* Function: Open an Excel WorkBook                               *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLOpen(WorkBook=,SecondsToWaitForOpen=3);

data _null_;
file &DDEfileref; * a corresponding SAS FILENAME statement
                    must have been previously submitted *;
put %unquote(%str(%'[open("&Workbook")]%'));
x=sleep(&SecondsToWaitForOpen); * Wait for file to open *;
run;

%mend  XLOpen;