
******************************************************************;
* Module: XLSelectivelyRemoveIndent.sas                          *;
* Type: SAS macro                                                *;
* Function: Selectively left-align cells in a column.            *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLSelectivelyRemoveIndent(FlagVar=,StartRow=,NumberOfRows=);

%do i = 1 %to &NumberOfRows;

  %if &&&FlagVar&i eq Y %then %do;

%let j = %eval(&StartRow + &i - 1);
%XLSelectRows(Row=&j);
%XLShiftLeft;

  %end;

%end;

%mend  XLSelectivelyRemoveIndent;