
******************************************************************;
* Module: XLShowLevel.sas                                        *;
* Type: SAS macro                                                *;
* Function: Specify the lowest level of subtotals to be shown    *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLShowLevel(LowestLevel=);

data _null_;
file &DDEfileref;
put %unquote(%str(%'[show.levels(&LowestLevel,0)]%'));
run;

%mend  XLShowLevel;