
******************************************************************;
* Module: XLUnHideTheCellDataPrefix.sas                          *;
* Type: SAS macro                                                *;
* Function: UnHide the prefix of Excel cell data (make it black) *;
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLUnHideTheCellDataPrefix(FontColorNumber=0,PrefixLength=);

data _null_;
file &DDEfileref;
put %unquote(%str
(%'[font.properties(,,,,,,,,,&FontColorNumber,,,1,&PrefixLength)]%'));
run;

%mend  XLUnHideTheCellDataPrefix;