
******************************************************************;
* Module: XLUndo.sas                                             *;
* Type: SAS macro                                                *;
* Function: Undo the previous action in Excel                    *;
* NOTE: Some Excel actions CAN NOT be undone                     *;
*       via use of this DDE command.                             *;
*       This might be due to the fact that                       *;
*       they cannot be undone with Point and Click either.       *;
*       It is IMPOSSIBLE for me to forewarn you                  *;
*       for which actions this Undo macro will not work.         *; 
* Author: LeRoy Bessler (bessler@execpc.com)                     *;
******************************************************************;

%macro XLUndo;

data _null_;
file &DDEfileref;
put '[undo()]';
run;

%mend  XLUndo;